<div class="oj-flex">
  <oj-toolbar id="oj-toolbar-for-oj-list-view-564175973-1" chroming="full" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-button on-oj-action="[[$page.listeners.createTenancyBOButtonClicked]]">Create</oj-button>
    <oj-button disabled="[[ $page.variables.oj_list_view_564175973_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.editTenancyBOButtonClicked]]">Edit</oj-button>
    <oj-button disabled="[[ $page.variables.oj_list_view_564175973_1SelectedId === '' ]]" on-oj-action="[[$page.listeners.deleteTenancyBOButtonClicked]]">Delete</oj-button>
  </oj-toolbar>
</div>
<div class="oj-flex">
  <oj-list-view class="oj-flex-item oj-sm-12 oj-md-12" data="[[$page.variables.tenancyBOListSDP]]" id="oj-list-view-564175973-1" selection-mode="single" on-first-selected-item-changed="[[ $page.listeners.oj_list_view_564175973_1SelectionChanged ]]">
    <template slot="itemTemplate">
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Id</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.id ]]"></oj-bind-text>
        </div>
      </div>
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Tenancy Name</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.tenancyName ]]"></oj-bind-text>
        </div>
      </div>
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Description</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.description ]]"></oj-bind-text>
        </div>
      </div>
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Created By</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.createdBy ]]"></oj-bind-text>
        </div>
      </div>
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Created</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.creationDate ]]"></oj-bind-text>
        </div>
      </div>
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Last Updated By</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.lastUpdatedBy ]]"></oj-bind-text>
        </div>
      </div>
      <div class="oj-flex">
        <oj-label class="oj-flex-item oj-sm-12 oj-md-2">Last Updated</oj-label>
        <div class="oj-flex-item oj-sm-12 oj-md-4">
          <oj-bind-text value="[[ $current.data.lastUpdateDate ]]"></oj-bind-text>
        </div>
      </div>
    </template>
  </oj-list-view>
</div>
